package ex3;

import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;
import java.awt.event.MouseMotionListener;

/**
 * Observateur de la souris sur le canevas de dessin.
 * 
 * Lorsque l'on drag, ajoute des points "painted" et met  jour l'affichage.
 * Lorsque l'on relache la souris, ajoute un point non "painted" au dessin.
 */
public class DrawingMouseListener implements MouseMotionListener, MouseListener {

	Drawing drawing;
	
	public DrawingMouseListener(Drawing drawing){
		this.drawing = drawing;
	}
	
	public void mouseDragged(MouseEvent arg0) {
		drawing.addPoint(new PaintedPoint(arg0.getX(),arg0.getY(), true));
		drawing.update();
	}
	
	public void mouseReleased(MouseEvent arg0) {
		drawing.addPoint(new PaintedPoint(arg0.getX(),arg0.getY(), false));		
	}


	
	public void mouseMoved(MouseEvent arg0) {

	}

	public void mouseClicked(MouseEvent arg0) {
		// TODO Auto-generated method stub
		
	}

	public void mouseEntered(MouseEvent arg0) {
		// TODO Auto-generated method stub
		
	}

	public void mouseExited(MouseEvent arg0) {
		// TODO Auto-generated method stub
		
	}

	public void mousePressed(MouseEvent arg0) {
		
	}


}
